﻿using System.IO;
using System.Reflection.PortableExecutable;

namespace ConsoleApp1
{
    internal class Program
    {
        static void Main(string[] args)
        {
            List<int> First = new List<int>();
            List<int> Second = new List<int>();
            Console.WriteLine("Hello, World!");
            var path = "Start.txt";
            
            
            JhonsonAlg jhonsonAlg = new JhonsonAlg();
            using (StreamReader reader = new StreamReader(path))
            {
                string line;
                while ((line = reader.ReadLine()) != null)
                {
                    string[] linesSplit = line.Split(' ');
                    First.Add(int.Parse(linesSplit[0]));
                    Second.Add(int.Parse(linesSplit[1]));
                }
            }
            int[,] arr = new int[First.Count,2];
            for(int i = 0; i < First.Count; i++ )
            {
                arr[i, 0] = First[i];
                arr[i, 1] = Second[i];
            }

           

            using (StreamWriter writer = new StreamWriter("Answ.txt"))
            {
                var answ = jhonsonAlg._ReturnMax(arr);
                writer.WriteLine("Время простоя второй машины при первичном порядке равно: " + answ);

                int[,] result = jhonsonAlg._FindInArrMin(First, Second);

                for (int i = 0; i < result.GetLength(0); i++)
                {
                    writer.WriteLine($"{result[i, 0]}, {result[i, 1]}");
                }
                
               var optansw = jhonsonAlg._ReturnMax(result);

                writer.WriteLine("Время простоя при оптимальной перестановке равно: " + optansw);
            }
        }
    }
}